Out of date products are not clear enough

Would you please remove items that are past their prime? Or at least indicate boldly that a product does not work with the latest version.
Maybe a versions banner in red?

2 Likes